View Issue Details

IDProjectCategoryView StatusLast Update
0005797GNUnettransport servicepublic2020-01-14 16:48
Reporterch3Assigned Toschanzen 
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target Version0.12.2Fixed in Version0.12.2 
Summary0005797: Race condition in TNG unix communicator test
DescriptionSometimes the test locks itself as a result of a race condition.
I need to investigate the cause.
Steps To Reproducemake test_communicator_unix && ./test_communicator_unix
TagsNo tags attached.

Relationships

child of 0005710 confirmed TNG meta issue 
child of 0005547 closedschanzen communicator basic test plan 

Activities

schanzen

2019-12-22 14:58

manager   ~0015209

Seems fixed to me in 61a8f2c46..5402016fc

Issue History

Date Modified Username Field Change
2019-07-07 22:42 ch3 New Issue
2019-07-07 22:42 ch3 Status new => assigned
2019-07-07 22:42 ch3 Assigned To => ch3
2019-07-08 11:19 ch3 Relationship added child of 0005710
2019-07-08 11:20 ch3 Relationship added child of 0005547
2019-12-21 23:32 schanzen Assigned To ch3 => schanzen
2019-12-22 14:58 schanzen Status assigned => resolved
2019-12-22 14:58 schanzen Resolution open => fixed
2019-12-22 14:58 schanzen Note Added: 0015209
2020-01-14 16:47 schanzen Fixed in Version => 0.12.2
2020-01-14 16:47 schanzen Target Version => 0.12.2
2020-01-14 16:48 schanzen Status resolved => closed